%define module	File-DesktopEntry
%define name	perl-%{module}
%define version 0.02
%define release %mkrel 3

Summary:	Object to handle .desktop files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source:		http://www.cpan.org/authors/id/P/PA/PARDUS/%{module}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot/
BuildArch:	noarch

%description
This module is used to work with .desktop files. The format of these files is
specified by the freedesktop "Desktop Entry" specification.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/File/DesktopEntry.pm




%changelog
* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.02-3mdv2008.0
+ Revision: 64755
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.02-2mdv2007.0
+ Revision: 108536
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-File-DesktopEntry

* Tue Oct 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.02-1mdk
- First MDV package

